Bug 205290 - amd fails to reload updated map served
amd fails to reload updated map served
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: am-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 15:57 EDT by Steven Lee
Modified: 2011-02-18 06:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 06:59:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Lee 2006-09-05 15:57:19 EDT
Description of problem:

I am not sure if this is a kernel or am-utils bug, but this bug only happens on
RHEL 4 U4 but not U3 systems and am-utils didn't get updated in U4, so I am
filing this one under kernel.

We (Computer Science department at Cornell) use amd to auto-mount home
directories for our Linux infrastructure.  Maps are distributed using NIS
(ypserv and ypbind).

Ever since we upgraded some of our compute servers to U4, amd does not
automatically re-load new amd maps distributed by NIS.  For example, when we
create a new user account, amd maps get updated with the new user home directory
location just fine (proven using "ypmatch" on all compute servers).  However,
those servers that have been upgraded to U4 cannot see the new home directories.
 When trying to cd to the new home directories, /var/log/amd.log would show: 

Aug 28 11:28:09 tiger amd[2860]/map:   No map entry for <user name>

None of the U3 servers has this problem.

We found out that we can work around this by flushing the amd cache using the
"amq -f" command.  However, given the number of servers in the department and
the frequency we make changes to our accounts, this workaround is very painful.


Version-Release number of selected component (if applicable): kernel-2.6.9-42.EL
and kernel-2.6.9-42.0.2.EL


How reproducible: Always


Steps to Reproduce:
1. Create a new user account.
2. Verify the new account information is propagates to the RHEL 4 U4 compute
server using "ypmatch amd.home <user name>"
3. cd ~<user name>
  
Actual results:

Directory not found.  In /var/log/amd.log: "Aug 28 11:28:09 tiger amd[2860]/map:
  No map entry for <user name>"

We've waited for days.  amd never re-loaded the new maps.

Expected results:

amd would re-laod the new maps.  cd to the home directory of the new account
should cause amd to auto-mount the directory.  

This works perfectly on all of our RHEL 4 U3 servers.

Additional info:
Comment 1 Karel Zak 2007-05-31 02:58:36 EDT
It seems like a regression. There was an ypserv errata update in U4. 

The ypserv and ypbind are updated in U5 too. Please, can you try update to U5?
Comment 3 Ondrej Vasik 2011-02-18 06:59:59 EST
As RHEL-4.9 was the last update for RHEL-4 and critical or security only fixes are now accepted there, closing this bugzilla WONTFIX. It is not security issue nor serious issue.

Note You need to log in before you can comment on or make changes to this bug.